# Class TileIndex

java.lang.Object
picard.illumina.parser.TileIndex

All Implemented Interfaces:
  `Iterable<TileIndex.TileIndexRecord>`

public class TileIndex extends Object implements Iterable<TileIndex.TileIndexRecord>
Load a file containing 8-byte records like this: tile number: 4-byte int number of clusters in tile: 4-byte int Number of records to read is determined by reaching EOF.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`TileIndex.TileIndexRecord`

## Method Summary

Modifier and Type
Method
Description
`TileIndex.TileIndexRecord`
`findTile(int tileNumber)`
`File`
`getFile()`
`int`
`getNumTiles()`
`List<Integer>`
`getTiles()`
`Iterator<TileIndex.TileIndexRecord>`
`iterator()`
`List<String>`
`verify(List<Integer> expectedTiles)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Method Details

### getFile

public File getFile()

### getNumTiles

public int getNumTiles()

### getTiles

public List<Integer> getTiles()

### verify

public List<String> verify(List<Integer> expectedTiles)

### iterator

public Iterator<TileIndex.TileIndexRecord> iterator()

Specified by:
  `iterator` in interface `Iterable<TileIndex.TileIndexRecord>`

### findTile

public TileIndex.TileIndexRecord findTile(int tileNumber)

Throws:
  `NoSuchElementException` - if tile is not found